/*
 * Copyright 2012-2018 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.springframework.boot.configurationsample.specific;

import java.util.List;
import java.util.Map;

import org.springframework.boot.configurationsample.ConfigurationProperties;

/**
 * Demonstrate properties with a wildcard type.
 *
 * @author Stephane Nicoll
 */
@ConfigurationProperties("wildcard")
public class WildcardConfig {

	private Map<String, ? extends Number> stringToNumber;

	private List<? super Integer> integers;

	public Map<String, ? extends Number> getStringToNumber() {
		return this.stringToNumber;
	}

	public void setStringToNumber(Map<String, ? extends Number> stringToNumber) {
		this.stringToNumber = stringToNumber;
	}

	public List<? super Integer> getIntegers() {
		return this.integers;
	}

	public void setIntegers(List<? super Integer> integers) {
		this.integers = integers;
	}

}
